#
# Conditional build:
%bcond_with	gimp	# don't build GIMP plugin
%bcond_with	gtk1	# use GTK+ 1.2.x for GUI (for eg. for GIMP 1.2)
#
Summary:	SANE - easy local and networked scanner access
Summary(es.UTF-8):	SANE - acceso a scanners en red y locales
Summary(ko.UTF-8):	스캐너를 다루는 소프트웨어
Summary(pl.UTF-8):	SANE - prosta obsługa skanerów lokalnych i sieciowych
Summary(pt_BR.UTF-8):	Front-ends para o SANE
Name:		sane-frontends
Version:	1.0.14
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
#Source0Download: https://gitlab.com/sane-project/frontends/tags
Source0:	https://gitlab.com/sane-project/frontends/uploads/14e5c5a9205b10bd3df04501852eab28/%{name}-%{version}.tar.gz
# Source0-md5:	c63bf7b0bb5f530cf3c08715db721cd3
Patch0:		sane-backends-1_20.patch
Patch1:		%{name}-c99.patch
Patch2:		%{name}-configure-c99.patch
URL:		http://sane-project.org/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with gtk1}
%{?with_gimp:BuildRequires:	gimp-devel < 1.3.0}
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2.0}
BuildRequires:	gtk+-devel >= 1.2.0
%else
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.3.23}
BuildRequires:	gtk+2-devel >= 1:2.0.0
%endif
BuildRequires:	sane-backends-devel >= 1.0.14
Requires:	sane-backends >= 1.0.14
Obsoletes:	xscanimage
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir 2>/dev/null || echo ERROR)
%endif

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras.

This packages contains frontends for SANE: xscanimage and xcam.

%description -l es.UTF-8
SANE - acceso a scanners en red y locales.

%description -l pl.UTF-8
SANE (Scanner Access Now Easy) jest rozsądnym i prostym interfejsem do
skanerów, zarówno lokalnych jak i sieciowych, oraz innych urządzeń do
pozyskiwania obrazów, jak cyfrowe aparaty i kamery.

Ten pakiet zawiera frontendy dla SANE: xscanimage i xcam.

%description -l pt_BR.UTF-8
SANE (Scanner Access Now Easy) é uma interface para scanners e outros
dispositivos locais e remotos de aquisição de imagens tais como
câmeras digitais. SANE atualmente suporta um grande numero de
scanners, incluindo modelos da Agfa SnapScan, Apple, Artec, Canon,
CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens, Tamarack, UMAX,
Connectix QuickCams e outros. Este pacote não habilita scanning por
rede por default; se você quiser habilitar essa característica,
verifique o manpage do saned(1).

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	%{!?with_gimp:--disable-gimp} \
	%{?with_gimp:%{?with_gtk1:--enable-gimp12}} \
	%{?with_gtk1:--disable-gtk2}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with gimp}
install -d $RPM_BUILD_ROOT%{gimpplugindir}/plug-ins
ln -sf %{_bindir}/xscanimage $RPM_BUILD_ROOT%{gimpplugindir}/plug-ins
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changelog NEWS PROBLEMS README
%attr(755,root,root) %{_bindir}/scanadf
%attr(755,root,root) %{_bindir}/xcam
%attr(755,root,root) %{_bindir}/xscanimage
%{?with_gimp:%attr(755,root,root) %{gimpplugindir}/plug-ins/xscanimage}
%{_mandir}/man1/scanadf.1*
%{_mandir}/man1/xcam.1*
%{_mandir}/man1/xscanimage.1*
%{_datadir}/sane
%changelog
* Fri Jan 31 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sane-frontends.git;a=log;h=master

* Fri Jan 31 2025 Jan Rękorajski <baggins@pld-linux.org> 3eee234
- build system fixes
- disabled gimp plugin
- rel 2

* Sun Apr 19 2020 Jakub Bogusz <qboosh@pld-linux.org> f551add
- updated Source URL

* Wed May 09 2018 Jakub Bogusz <qboosh@pld-linux.org> b4cbd50
- updated URLs, verbose files

* Sun Feb 19 2012 Szymon Siwek <sls@pld-linux.org> 35d4b84
- added sane-backends-1_20.patch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a80184e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f5294cf
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> d121e77
- orphaned, outdated

* Thu Oct 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 370f0db
- updated to 1.0.14 (network deadlock fix, xcam improvements)

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 236e399
- BR: automake

* Sat Nov 27 2004 saq <saq@pld-linux.org> 1923171
- massive attack: add missing gtk+2-devel epoch in BR

* Mon Nov 08 2004 Jakub Bogusz <qboosh@pld-linux.org> e5ac59f
- disabled strict dep on sane-backends - libsane ABI seems more stable now
  (tested 1.0.14 vs 1.0.15 at least)

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> e1ef7ed
- "GTK+" unification (hope thats all)

* Sun Oct 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 1579220
- updated to 1.0.13, new Source0 URL

* Sat Aug 21 2004 deejay1 <deejay1@pld-linux.org> a2e0065
- rel. up to 4

* Tue Jul 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 6dc1b73
- workaround for missing gimptool

* Sat Jun 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 6164783
- release 3 to really rebuild with sane-backends 1.0.14-2 (previously
  it wasn't upgraded on builders)

* Sat Jun 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 86b39d6
- release 2 to rebuild with sane-backends 1.0.14-2

* Sun Apr 25 2004 Jakub Bogusz <qboosh@pld-linux.org> d89b2eb
- updated to 1.0.12, removed obsolete gimp patch

* Sun Apr 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 7204682
- obsolete

* Sun Mar 28 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 34941f8
- rebuild with new gimp

